<p align="center">
<img src="https://jenil.github.io/chota/logo.svg" />
<br><br>
A really small CSS framework
<br><br>
<img src="https://img.shields.io/npm/v/chota.svg" alt="">
<a href="https://www.npmjs.com/package/chota"><img src="https://img.shields.io/npm/dt/chota.svg"></a>
<a href="https://github.com/jenil/chota/issues"><img src="https://img.shields.io/github/issues/jenil/chota.svg"></a>
<a href="https://bundlephobia.com/result?p=chota@latest"><img alt="npm bundle size" src="https://img.shields.io/bundlephobia/minzip/chota.svg"></a>
<a href="https://github.com/troxler/awesome-css-frameworks"><img src="https://awesome.re/mentioned-badge.svg" alt="Mentioned in Awesome CSS Frameworks"/></a>
</p>

<br>


- ⚡️&nbsp; Super light-weight. Just ~3kb (minified + gzipped).
- ⛔️&nbsp; No preprocessor, just plug-n-play
- 📐&nbsp; Magical 12 column [grid](https://jenil.github.io/chota/#grid)
- 🌈&nbsp; Easy to [extend](https://jenil.github.io/chota/#customizing) with CSS variables
- 🎲&nbsp; Comes with a handful of [components](https://jenil.github.io/chota/#components) &amp; [utilities](https://jenil.github.io/chota/#utilities)
- ✅&nbsp; Good Semantics
- 🤡&nbsp; Supports icons from [Icongram](https://icongr.am/)

<br>

### Get started

CDN:
```html
<link rel="stylesheet" href="https://unpkg.com/chota">
```

npm or yarn:
```bash
npm install chota
```

#### SASS support
Chota is designed keeping in mind *ease-of-use* and *minimalism*, hence it doesn't use any preprocessor or complex build process. If you would still like to extend it further using SASS, head to [palmiak's fork](https://github.com/palmiak/chota).

<br>

## Browsers support

| [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/edge/edge_48x48.png" alt="IE / Edge" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>IE / Edge | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png" alt="Firefox" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Firefox | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png" alt="Chrome" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Chrome | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/safari/safari_48x48.png" alt="Safari" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Safari | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/safari-ios/safari-ios_48x48.png" alt="iOS Safari" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>iOS Safari | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/samsung-internet/samsung-internet_48x48.png" alt="Samsung" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Samsung | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/opera/opera_48x48.png" alt="Opera" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Opera |
| --------- | --------- | --------- | --------- | --------- | --------- | --------- |
| IE11, Edge| last 2 versions| last 2 versions| last 2 versions| last 2 versions| last 2 versions| last 2 versions

## Contributing
Welcome! Please see our [contributing guidelines](https://github.com/jenil/chota/blob/master/.github/CONTRIBUTING.md).

## License
&copy; Jenil Gogari 2017-present. Code released under the [MIT license](https://github.com/jenil/chota/blob/master/LICENSE).
